Sets the moderation status of one or more comments. The API request must be authorized by the owner of the channel or video associated with the comments.
# Scopes

You will need authorization for the *https://www.googleapis.com/auth/youtube.force-ssl* scope to make a valid call.

If unset, the scope for this method defaults to *https://www.googleapis.com/auth/youtube.force-ssl*.
You can set the scope for this method like this: `youtube3 --scope <scope> comments set-moderation-status ...`
# Required Scalar Arguments
* **&lt;id&gt;** *(string)*
    - The id parameter specifies a comma-separated list of IDs that identify the comments for which you are updating the moderation status.
* **&lt;moderation-status&gt;** *(string)*
    - Identifies the new moderation status of the specified comments.
# Optional Method Properties

You may set the following properties to further configure the call. Please note that `-p` is followed by one 
or more key-value-pairs, and is called like this `-p k1=v1 k2=v2` even though the listing below repeats the
`-p` for completeness.

* **-p ban-author=boolean**
    - The banAuthor parameter lets you indicate that you want to automatically reject any additional comments written by the comment&#39;s author. Set the parameter value to true to ban the author.
        
        Note: This parameter is only valid if the moderationStatus parameter is also set to rejected.

# Optional General Properties

The following properties can configure any call, and are not specific to this method.

* **-p alt=string**
    - Data format for the response.

* **-p fields=string**
    - Selector specifying which fields to include in a partial response.

* **-p key=string**
    - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.

* **-p oauth-token=string**
    - OAuth 2.0 token for the current user.

* **-p pretty-print=boolean**
    - Returns response with indentations and line breaks.

* **-p quota-user=string**
    - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. Overrides userIp if both are provided.

* **-p user-ip=string**
    - IP address of the site where the request originates. Use this if you want to enforce per-user limits.
